#include "toolbox.h"
#include <ansi_c.h>
#include <formatio.h>
#include "MainPanel.h"
#include "OptionsPanel.h"

extern int MainPanel, OptionsPanel;

double DummyHight;

double DummyGetDistance()
{
 double currentPosition;
 GetCtrlVal (MainPanel, MainP_currentPosition, &currentPosition);
 Delay(0.2);
 SetCtrlVal (MainPanel, MainP_LED, 0);
 return (sin(currentPosition/8)+1)*100;
}


double GetDistanceCOM(unsigned int Port)
{
 int 	BufferFileHandle, Simu;
 char 	LineBuffer[81];
 double	Distance, dummy;

 SetCtrlVal (MainPanel, MainP_LED, 1); 

 GetCtrlVal ( OptionsPanel, OptionsP_SimuLaser, &Simu);
 if (Simu) return DummyGetDistance();					// only for test purposes without hardware!
 
 Fmt(LineBuffer, "cmd.exe /c GetDistance.exe COM%d 1 %s DistanceBuffer.txt", Port, ">");		// create command and put COM port number in

 system (LineBuffer);																			// call tool and create file with result
 
 BufferFileHandle = OpenFile ("DistanceBuffer.txt", VAL_READ_ONLY, VAL_TRUNCATE, VAL_ASCII);	// open file

 ReadLine (BufferFileHandle, LineBuffer, 80);													// read the 3rd line
 ReadLine (BufferFileHandle, LineBuffer, 80);
 ReadLine (BufferFileHandle, LineBuffer, 80);

 Scan (LineBuffer, "%f%f", &dummy, &Distance);													// Scan distance value

 SetCtrlVal (MainPanel, MainP_LED, 0);
 
 return Distance;
}
