// These are global variables and constants
// used in the 3D Scanner projekt
// Autor: Dr. Marko Rocznik



unsigned char LaserCOM;

unsigned char 		curDir;					// current direction
unsigned char 		lastLS;					// last status of the light sensor "Lichtschranke"

//Motor directions
const unsigned char STOPP = 0x00;			// this is used for the motor and the timer
const unsigned char UP    = 0x01;
const unsigned char DOWN  = 0x02;

// Timer command
const unsigned char GO	  =    1;			// STOPP is used from the motor direction

// File handling
char 				fileName[500], directoryPath[500];
int  				FileHandle;

// Laser ON/OFF command
const unsigned char ON  = 0x01;				// used to turn line laser ON/OFF
const unsigned char OFF = 0x00;
