#include <formatio.h>
#include <utility.h>
#include "MainPanel.h"
#include <userint.h>
#include "LaserPanel.h"
#include "MainPanel.h"
#include "GetDistance.h"
#include "LL_3D_Scanner.h"

extern int LaserPanel, MainPanel;
extern unsigned char LaserCOM;
extern const unsigned char ON, OFF; 

int CVICALLBACK LaserP_CB (int panel, int event, void *callbackData, int eventData1, int eventData2)
{
 if (event == EVENT_CLOSE) HidePanel (LaserPanel); 
 
 return 0;
}

int CVICALLBACK MeassureDistance_CB (int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
 switch (event)
 {
  case EVENT_COMMIT:

  SetCtrlVal(LaserPanel, LaserP_Distance, GetDistanceCOM(LaserCOM)); 	  

  break;
 }
 return 0;
}

void CVICALLBACK Marker_CB (int menuBar, int menuItem, void *callbackData, int panel)
{
 char 	LineBuffer[81];

 Fmt(LineBuffer, "cmd.exe /c GetDistance.exe COM%d 1000 %s DistanceBuffer.txt", LaserCOM, ">");		// create command and put COM port number in

 LaunchExecutable (LineBuffer);	
}



void CVICALLBACK LineMarker_CB (int menuBar, int menuItem, void *callbackData, int panel)
{
 int helpi;
 GetMenuBarAttribute (menuBar, menuItem,   ATTR_CHECKED, &helpi);
 
 if (helpi)
 {
  SetMenuBarAttribute (menuBar, menuItem,   ATTR_CHECKED, 0); 	// toggle checked
  SetCtrlVal(MainPanel, MainP_Message, "\n Line Laser OFF");	  
  LineLaser(OFF);
 }
 else
 {
  SetMenuBarAttribute (menuBar, menuItem,   ATTR_CHECKED, 1); 
  SetCtrlVal(MainPanel, MainP_Message, "\n Line Laser ON");
  LineLaser(ON);
 }	
}
