#include <formatio.h>
#include <userint.h>
#include "MainPanel.h"

extern int 		LaserPanel, OptionsPanel, MainPanel;
extern char 	directoryPath[600];


void CVICALLBACK Laser_CB (int menuBar, int menuItem, void *callbackData, int panel)
{
 DisplayPanel (LaserPanel); 	
}

void CVICALLBACK Options_CB (int menuBar, int menuItem, void *callbackData, int panel)
{
 DisplayPanel (OptionsPanel);
}

void CVICALLBACK SetPath_CB (int menuBar, int menuItem, void *callbackData, int panel)
{
 int 	FileSelStatus;
 char	Message[80];
 
 
 FileSelStatus = DirSelectPopupEx ("C:\\", "Data directory", directoryPath);
 if (FileSelStatus == 0) return;												// no directory selected (Cancel Button was pressed)
 
 if (FileSelStatus == 1)
 {
  Fmt (Message, "\nData directory: %s", directoryPath);
  SetCtrlVal(MainPanel, MainP_Message, Message);							
 }
}


