#include <userint.h>
#include "MainPanel.h"

void CVICALLBACK About_CB (int menuBar, int menuItem, void *callbackData, int panel)
{
 MessagePopup ("About", "3D Scanner\nDr. Marko Rocznik\nVersion 1.0\n2015");
}

void CVICALLBACK ViewHelp_CB (int menuBar, int menuItem, void *callbackData, int panel)
{
 MessagePopup ("Help", "This program controlls and reads out the 3D scanner\ndesigned by Marko Rocznik. The purpose for this scanner\nis, to scan the J-5 fuselage shell in order to generate\na 3D model.\n\nHow to use:\n- Set the directory for the data output\n  --> File --> Set Path\n- Slide the scanner to the station you want to scan\n- enter the station in the windows in the fuselage\n  picture or slide the slider underneath it\n- drive the scanner to the position Z = 0\n  by using the manual control.\n- Enter the range you want to scan above\n  and below this Z = 0 position\n- Enter the resolution you need\n  minium possible          = 0.5 mm\n  minium making sense = 2.0 mm\n  The more points the more time!\n- click ""Scan""\n- Observe the device while operating!\n- Data output is ""X Y Z"" in [mm]\n\nEnjoy!\n\nwww.Rocznik.de/Marko");
}
